<!--
Copyright (c) 2019, The Linux Foundation. All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:
  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
  * Redistributions in binary form must reproduce the above
    copyright notice, this list of conditions and the following
    disclaimer in the documentation and/or other materials provided
    with the distribution.
  * Neither the name of The Linux Foundation nor the names of its
    contributors may be used to endorse or promote products derived
    from this software without specific prior written permission.
THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

-->
<node name="com.qualcomm.qti.adk.audiomanager"
    xmlns="http://adkcodegen/dbus_interface"
    xmlns:adk="http://adkcodegen/dbus_interface/adk_types"
    namespace="ZoneConfig" bustype="session">

    <adk:types>
        <adk:type name="Info"
            description="Helper type for profile info in zone configuration">
            <adk:attr name="Id" type="q" description="Unique id of a profile."/>
            <adk:attr name="ProfileName" type="s"
                description="Name of configuration i.e, '7.1.2', '5.1.4' etc"/>
            <adk:attr name="ChannelCount" type="q"
                description="Indicates total channel count for a profile"/>
            <adk:attr name="ChannelList" type="as"
                description="List of channels for a profile. Eg: front-left, front-right etc."/>
        </adk:type>
    </adk:types>

    <object path="/com/qualcomm/qti/adk/audiomanager/zones/'zone_id'">
        <interface name="com.qualcomm.qti.adk.audiomanager.zone_configuration">
            <method name="SetProfile"
                description="Allows application to set the hardware channel profile for a specific zone.">
                <arg name="ProfileId" type="q" direction="in"/>
            </method>
            <method name="EnableIntraI2S"
                description=" Allow the application to enable/disable Intra I2S Downmix dynamically.">
                <arg name="Status" type="b" direction="in"/>
            </method>
            <property name="ProfileCount" type="q" access="read"
                description="Indicates the number of profiles available to user/application.">
                <annotation name="org.freedesktop.DBus.Property.EmitsChangedSignal" value="invalidates"/>
            </property>
            <property name="ActiveProfileId" type="q" access="read"
                description="Indicates the profile selected by the user/application.">
            </property>
            <property name="Profiles" type="a(#/adk:types/adk:type[@name='Info']#)" access="read"
                description="Details of a specific profile."
                override_fmt="a{sv}">
                <annotation name="org.freedesktop.DBus.Property.EmitsChangedSignal" value="invalidates"/>
            </property>
            <property name="IntraI2SEnabled" type="b" access="read"
                description="It represents the status(enabled/disabled) of Intra I2S Downmix">
            </property>
        </interface>
    </object>
</node>

